Skip to main content
`Ctrl`+`K`

# balanced_tree

balanced_tree(r, h, create_using=None)

  Returns the perfectly balanced `r`-ary tree of height `h`.

  (`Source code`, `png`)

  Parameters:
    r int

      Branching factor of the tree; each node will have `r` children.

    h int

      Height of the tree.

    create_using NetworkX graph constructor, optional (default=nx.Graph)

      Graph type to create. If graph instance, then cleared before populated.

  Returns:
    G NetworkX graph

      A balanced `r`-ary tree of height `h`.

  Notes

  This is the rooted tree where all leaves are at distance `h` from the root. The root has degree `r` and all other internal nodes have degree `r + 1`.

  Node labels are integers, starting from zero.

  A balanced tree is also known as a complete r-ary tree.